accounts/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('register/', views.registerPage, name='register'),
    path('login/', views.loginPage, name='login'),
    path('logout/', views.logoutPage, name='logout'),
]

api/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.apiOverview, name='api-overview'),
    path('user-list/', views.userList, name='user-list'),
    path('user-detail/<str:pk>/', views.userDetail, name='user-detail'),
    # path('user-detail-username/<str:pk>/', views.userDetailUsername, name='user-detail-username'),
    path('user-create/', views.userCreate, name='user-create'),
    path('user-update/<str:pk>/', views.userUpdate, name='user-update'),
    path('user-delete/<str:pk>/', views.userDelete, name='user-delete'),
    path('user-login/', views.userLogin, name='user-login'),
    path('add-comment/', views.commentCreate, name='add-comment'),
    path('comment-list/', views.viewList, name='comment-list'),
]

d06_project/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('api-auth/', include('rest_framework.urls')),
    path('admin/', admin.site.urls),
    path('workout/', include(('workout.urls', 'workout'), namespace='workout')),
    path('', include(('main.urls','main'), namespace='main')),
    path('forum/', include(('forum.urls', 'forum'), namespace='forum')),
    path('accounts/', include(('accounts.urls', 'accounts'), namespace='accounts')),
    path('recipe/', include(('recipe.urls', 'recipe'), namespace='recipe')),
    path('covid-19/', include('data_covid.urls', namespace='data_covid')),
    path('comment/' , include(('commentrecipe.urls', 'commentrecipe'), namespace='commentrecipe')),
    path('replyforum/' , include(('replyforum.urls', 'replyforum'), namespace='replyforum')),
    path('api/', include(('api.urls', 'api'), namespace='api')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

data_covid/urls.py
from django.urls import path
from .views import data_covid, ajax_data

app_name='data_covid'

urlpatterns = [
    path('', data_covid, name='data_covid'),
    path('ajax/get_data', ajax_data, name='ajax_data'),
]

forum/urls.py
from django.urls import path
from .views import forum, getRoutes, getReplies, getReply
from replyforum.views import json, createpost, replyforum, editpost, deletepost, pinpost

app_name='forum'

urlpatterns = [
    path('', forum, name='forum'),
    path('create-new-post', createpost, name='createpost'),
    path('reply-a-post', replyforum, name='replyforum'),
    path('edit-a-post', editpost, name='editpost'),
    path('delete-a-post', deletepost, name='deletepost'),
    path('pin-a-post', pinpost, name='pinpost'),
    path('json', json, name='json'),
    path('api', getRoutes),
    path('replies/', getReplies),
    path('/replies/<str:pk>/', getReply)
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

main/models.py
from django.db import models

# Create your models here.

main/views.py
from django.http import response
from django.shortcuts import render

def home(request):
    return render(request, 'main/home.html')

main/templates/main/home.html
{% extends 'base.html' %}

{% load static %}

{% block meta %}

<title>D06 | Home</title>
<link rel="stylesheet" type="text/css"  href="{% static 'css/home.css' %}">

{% endblock meta %}

{% block content %}

<div class="homeimg"><img src="https://i.ibb.co/1LGC0G2/header.png" alt="home" style="width:100%; opacity:30%;"></div>

<div class="header">
  <div class="welcome"><div style="font-family: 'Mr Dafoe', cursive; letter-spacing:0px; margin-bottom:-30px;">Welcome</div></div>
  <div class="circle" style="background-color: #881D1D;"> </div>
  <div class="circle" style="background-color: #B83232;"> </div>
  <div class="circle" style="background-color: #AC3834;"> </div>
  <br><strong>running out of activities to do at home? we’re here to help you !</strong>
</div>
<div class="box">
  <div class="boxtitle">Creators</div>
  <div class="container">
    <div style="position:relative;  display:grid; grid-template-rows : auto; grid-template-columns : repeat(2, auto); align-items : center; grid-gap: 10px;">
      <div class="imgbox"><img src="{% static 'img/foto_frans.jpg' %}" style="width:100%;height:100%;"></div>
      <div class="textbox">
        <div id="name">Fransisco William Sudianto</div>
        NPM : 2006596535<br>
        Hobby : Belajar, Main, Dengerin Musik, Nonton Film, Wisata Masa Lalu<br>
        Quotes : Tugas bikin pusing, kamu bikin salting<br>
      </div>
      
      <div class="imgbox"><img src="{% static 'img/foto_debra.jpeg' %}" style="width:100%;height:100%;"></div>
      <div class="textbox">
        <div id="name">Debra Mazaya</div>
        NPM : 2006596333<br>
        Hobby : FPS Games, Netflix, Graphic Design, Tidur<br>
        Quotes : "You gotta do what you have to do"<br>
      </div>
      
      <div class="imgbox"><img src="{% static 'img/foto_ichsan.jpg' %}" style="width:100%;height:100%;"></div>
      <div class="textbox">
        <div id="name">Muhammad Ichsan Khairullah</div>
        NPM : 2006596264<br>
        Hobby : Genshin Impact, Guitar, Running <br>
        Quotes : "Aku bukan tidak bisa, ku hanya kurang mencoba"<br>
      </div>
      
      <div class="imgbox"><img src="https://i.ibb.co/31Kkznx/S-31473676.jpg" style="width:100%;height:100%;"></div>
      <div class="textbox">
        <div id="name">Shadqi Marjan Sadiya</div>
        NPM : 2006596655<br>
        Hobby : Makan, Basket<br>
        Quotes : "As long as I'm hepi"<br>
      </div>
      
      <div class="imgbox"><img src="https://i.ibb.co/j844GTP/Live-In-191213-0425.jpg" style="width:100%;height:100%;object-fit:cover;object-position:left;"></div>
      <div class="textbox">
        <div id="name">Adietya Christian</div>
        NPM : 2006595860<br>
        Hobby : Watching Netflix, Playing Rocket League<br>
        Quotes : "Don't worry, be happy."<br>
      </div>
      
      <div class="imgbox"><img src="{% static 'img/foto_elfraera.jpg' %}" style="width:100%;height:100%;"></div>
      <div class="textbox">
        <div id="name">Elfraera Winson Barry L. Tobing</div>
        NPM : 2006596024<br>
        Hobby : Playing COC, Riding<br>
        Quotes : "We can do it lah"<br>
      </div>
      
      <div class="imgbox"><img src="{% static 'img/foto_zaki.jpeg' %}" style="width:100%;height:100%;"></div>
      <div class="textbox">
        <div id="name">Muhammad Zaki Ash-Shidiqi</div>
        NPM : 2006595740<br>
        Hobby : Netflix <br>
        Quotes : "Bisa yuk, bisa!!!"<br>
      </div>
      
    </div>
  </div>
    
    <div class="footer">
      <img src="https://i.ibb.co/44s0f31/phone.png" alt="phone" style="display:inline-block;"> Phone: +62 xxx-xxxx-xxx<br>
      <img src="https://i.ibb.co/qFfQ0DF/message.png" alt="message"> Email : d06@cs.ui.ac.id<br>
      <img src="https://i.ibb.co/yfRW0T7/location.png" alt="location"> Address : Fakultas Ilmu Komputer Universitas Indonesia
    </div>
  </div>
  {% endblock content %}

main/templates/main/navbar.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<body>
    <link rel="stylesheet" href="{% static 'css/navbar.css' %}"/>
    <div class="navbar">
        <a href="{% url 'main:home' %}"><div class="navlinks">D06</div></a>
        <div class="navlinks"><img src="https://i.ibb.co/S3FMmX8/workout.png" alt="workout"style="width:15px;height:15px;"> Workout</div>
        <a href="{% url 'recipe:home' %}"><div class="navlinks"><img src="https://i.ibb.co/y8DgMMX/recipe.png" alt="recipe" style="width:16px;height:16px;"> Recipe</div></a>
        <a href="{% url 'data_covid:data_covid' %}"><div class="navlinks"><img src="https://i.ibb.co/BNNMDV7/covid.png" alt="covid"style="width:14px;height:14px;"> Covid-19</div></a>
        <a href="{% url 'forum:forum' %}"><div class="navlinks"><img src="https://i.ibb.co/D5dmPdj/forum.png" alt="forum"style="width:15px;height:15px;">    Forum</div></a>

        {% if request.user.is_authenticated %}
            <a href="{% url 'accounts:logout' %}">
                <div class="login">
                    <img src="https://i.ibb.co/9Hsw4xF/login.png" alt="login" style="width:15px; height:15px;"> 
                    Hello, {{request.user}}. Logout
                </div>
            </a>
        {% else %}
            <a href="{% url 'accounts:login' %}">
                <div class="login">
                    <img src="https://i.ibb.co/9Hsw4xF/login.png" alt="login" style="width:15px; height:15px;"> 
                    Login
                </div>
            </a>
        {% endif %}
    </div>
</body>
</html>